import anthropic
from anthropic import Anthropic

from fi.integrations.otel import AnthropicInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    eval_tags=eval_tags,
    project_name="ANTHROPIC_TEST",
    project_version_name="V3",
)

# Initialize the Anthropic instrumentation
AnthropicInstrumentor().instrument(tracer_provider=trace_provider)

# Initialize Anthropic client
client = Anthropic()

prompt = (
    f"{anthropic.HUMAN_PROMPT}"
    f" how does a court case get to the Supreme Court?"
    f" {anthropic.AI_PROMPT}"
)

resp = client.completions.create(
    model="claude-2.1",
    prompt=prompt,
    max_tokens_to_sample=1000,
)

print(resp)
