from dspy import LM

from fi.integrations.otel import DSPyInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    project_name="DSPY_TEST",
    project_version_name="V2",
    eval_tags=eval_tags,
)

# Instrument DSPy with the trace provider
DSPyInstrumentor().instrument(tracer_provider=trace_provider)

lm = LM("openai/gpt-4")
output = lm("hello!")
print(f"{output=}")
