from llama_index.core.base.llms.types import ChatMessage
from llama_index.llms.openai import OpenAI

from fi.integrations.otel import LlamaIndexInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    project_name="LLAMA_INDEX_TEST",
    project_version_name="V6",
    eval_tags=eval_tags,
)

# Initialize the Llama Index instrumentor
LlamaIndexInstrumentor().instrument(tracer_provider=trace_provider)

llm = OpenAI(model="gpt-3.5-turbo")

if __name__ == "__main__":
    response_gen = llm.stream_chat(
        [ChatMessage(content="hello")],
        stream_options={"include_usage": True},
    )
    for response in response_gen:
        print(response.delta, end="")
