import os

from mistralai import Mistral

from fi.integrations.otel import MistralAIInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    project_name="MISTRAL_AI_TEST",
    project_version_name="V1",
    eval_tags=eval_tags,
)

# Initialize the Mistral AI instrumentor
MistralAIInstrumentor().instrument(tracer_provider=trace_provider)

if __name__ == "__main__":
    client = Mistral(api_key=os.environ["MISTRAL_API_KEY"])
    response = client.agents.complete(
        agent_id="agent_id",
        messages=[
            {"role": "user", "content": "plan a vacation for me in Tbilisi"},
        ],
    )
    print(response)
