import openai

from fi.integrations.otel import OpenAIInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    project_name="OPENAI_TEST",
    project_version_name="V7",
    eval_tags=eval_tags,
)

# Initialize the OpenAI instrumentor
OpenAIInstrumentor().instrument(tracer_provider=trace_provider)


if __name__ == "__main__":
    client = openai.OpenAI()
    response = client.chat.completions.with_raw_response.create(
        model="gpt-3.5-turbo",
        messages=[{"role": "user", "content": "Write a story on AGI."}],
        max_tokens=20,
    )
    print(response.parse().choices[0].message.content)
