import vertexai
from vertexai.generative_models import GenerativeModel

from fi.integrations.otel import VertexAIInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    project_name="VERTEX_AI_TEST",
    project_version_name="V4",
    eval_tags=eval_tags,
)

# Initialize the VertexAI instrumentor
VertexAIInstrumentor().instrument(tracer_provider=trace_provider)

vertexai.init(project="futureagiprimary")
chat = GenerativeModel("gemini-1.5-flash").start_chat()

if __name__ == "__main__":
    print(chat.send_message("What color is night sky?"))
    print(chat.send_message("Why?"))
