import vertexai
from vertexai.generative_models import GenerativeModel, Part

from fi.integrations.otel import VertexAIInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    project_name="VERTEX_AI_TEST",
    project_version_name="V7",
    eval_tags=eval_tags,
)

# Initialize the VertexAI instrumentor
VertexAIInstrumentor().instrument(tracer_provider=trace_provider)

vertexai.init(
    project="project_name",
)
model = GenerativeModel("gemini-1.5-flash")

if __name__ == "__main__":
    image_part = Part.from_uri(
        "https://fi-customer-data-dev.s3.ap-south-1.amazonaws.com/tempcust/002968fd-8b13-40e1-b936-ab65a20da091",
        mime_type="image/jpeg",
    )
    response = model.generate_content(["Describe this image", image_part])
    print(response)
