from vertexai.generative_models import GenerativeModel

from fi.integrations.otel import VertexAIInstrumentor, register
from fi.test.eval_tags import eval_tags

# Configure trace provider with custom evaluation tags
trace_provider = register(
    project_name="VERTEX_AI_TEST",
    project_version_name="V9",
    eval_tags=eval_tags,
)

# Initialize the VertexAI instrumentor
VertexAIInstrumentor().instrument(tracer_provider=trace_provider)
model = GenerativeModel("gemini-1.5-flash")


if __name__ == "__main__":
    response = model.count_tokens("Write an artice on AGI.")
    print(response)
